# Uses of Interface
com.clickhouse.jdbc.ClickHouseStatement

Packages that use ClickHouseStatement
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.internal

## Uses of ClickHouseStatement in com.clickhouse.jdbc

Fields in com.clickhouse.jdbc declared as ClickHouseStatement
Modifier and Type
Field
Description
`protected final ClickHouseStatement`
ClickHouseResultSet.`statement`
Methods in com.clickhouse.jdbc that return ClickHouseStatement
Modifier and Type
Method
Description
`default ClickHouseStatement`
ClickHouseConnection.`createStatement()`
`default ClickHouseStatement`
ClickHouseConnection.`createStatement(int resultSetType, int resultSetConcurrency)`
`ClickHouseStatement`
ClickHouseConnection.`createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
Constructors in com.clickhouse.jdbc with parameters of type ClickHouseStatement
Modifier
Constructor
Description
``
`ClickHouseResultSet(String database, String table, ClickHouseStatement statement, com.clickhouse.client.ClickHouseResponse response)`
``
`ClickHouseScrollableResultSet(String database, String table, ClickHouseStatement statement, com.clickhouse.client.ClickHouseResponse response)`

## Uses of ClickHouseStatement in com.clickhouse.jdbc.internal

Classes in com.clickhouse.jdbc.internal that implement ClickHouseStatement
Modifier and Type
Class
Description
`class`
`AbstractPreparedStatement`
`class`
`ClickHouseStatementImpl`
`class`
`InputBasedPreparedStatement`
`class`
`SqlBasedPreparedStatement`
`class`
`StreamBasedPreparedStatement`
`class`
`TableBasedPreparedStatement`
Methods in com.clickhouse.jdbc.internal that return ClickHouseStatement
Modifier and Type
Method
Description
`ClickHouseStatement`
ClickHouseConnectionImpl.`createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`